Pixel quảng cáo theo dõi
GET https://go.hvsc.vn/api/pixels/
curl --request GET \
--url 'https://go.hvsc.vn/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn phụ Chuỗi ký tự (String) | Từ khóa nội dung chuỗi tìm kiếm dữ liệu. |
| search_by | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường dữ liệu cụ thể nào bạn muốn áp dụng từ khóa tìm kiếm. Các giá trị được chấp nhận là: name , pixel. |
| type | Tùy chọn phụ Chuỗi ký tự (String) | Các giá trị được chấp nhận: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| order_by | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường tiêu chí dữ liệu dùng làm căn cứ sắp xếp thứ tự danh sách kết quả trả về. Các giá trị được chấp nhận là: pixel_id , datetime , last_datetime , name. |
| order_type | Tùy chọn phụ Chuỗi ký tự (String) | Hình thức quy định sắp xếp danh sách kết quả hiển thị. Các giá trị được chấp nhận là: ASC cho kiểu sắp xếp tăng dần, và DESC cho kiểu sắp xếp giảm dần. |
| page | Tùy chọn phụ Số nguyên (Integer) | Số thứ tự số trang hiển thị kết quả dữ liệu mà bạn muốn lấy về. Giá trị mặc định ban đầu là 1. |
| results_per_page | Tùy chọn phụ Số nguyên (Integer) | Quy định số lượng dòng kết quả dữ liệu trả về tối đa trên mỗi trang hiển thị. Các giá trị được hệ thống chấp nhận là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Cấu hình mặc định ban đầu là 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 22:03:46",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://go.hvsc.vn/api/pixels?page=1",
"last": "https://go.hvsc.vn/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://go.hvsc.vn/api/pixels?page=1"
}
}
GET https://go.hvsc.vn/api/pixels/{pixel_id}
curl --request GET \
--url 'https://go.hvsc.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 22:03:46",
}
}
POST https://go.hvsc.vn/api/pixels
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| type | Bắt buộc Chuỗi ký tự (String) | Các giá trị được chấp nhận: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | Bắt buộc Chuỗi ký tự (String) | - |
| pixel | Bắt buộc Chuỗi ký tự (String) | - |
curl --request POST \
--url 'https://go.hvsc.vn/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://go.hvsc.vn/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://go.hvsc.vn/api/pixels/{pixel_id}
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| type | Tùy chọn phụ Chuỗi ký tự (String) | Các giá trị được chấp nhận: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | Tùy chọn phụ Chuỗi ký tự (String) | - |
| pixel | Tùy chọn phụ Chuỗi ký tự (String) | - |
curl --request POST \
--url 'https://go.hvsc.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://go.hvsc.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://go.hvsc.vn/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://go.hvsc.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \